import { Diagnostic } from 'typescript';
/**
 * @internal
 */
export declare type Logger = Pick<Console, 'warn' | 'error' | 'info' | 'debug'>;
/**
 * @public
 */
export declare type LogLevel = 1 | 2 | 3 | 4 | 5;
/**
 * @public
 */
export declare const LogLevel: {
    readonly void: 1;
    readonly error: 2;
    readonly warn: 3;
    readonly info: 4;
    readonly debug: 5;
};
/**
 * @internal
 */
export declare const loggerPrefix = "express-typescript-compile:";
/**
 * @internal
 */
export declare const diagnosticToString: (diagnostics: readonly Diagnostic[], cwd: string) => string;
/**
 * @internal
 * @param level - logging level
 * @param baseLogger - base logger
 */
export declare const createLogger: (level?: LogLevel, baseLogger?: Logger) => Logger;
//# sourceMappingURL=logger.d.ts.map